Junos OS

Expand all | Collapse all

Upgrading M7I from old version of 11.4R5.7 to 15.1R6

Jump to Best Answer
  • 1.  Upgrading M7I from old version of 11.4R5.7 to 15.1R6

    Posted 07-23-2019 04:31

    Hi,

     

    We have M7i router with Junos ver 11.4R5.7 that is currently not active and has no configuration on it

    I want to use this router for receiving full ISP routing table (about 750,000 routes).

    but before that I will upgrade it to the latest JTAC recommended version (should be 15.1R6)

    What are the intermediate version we need in between ?
    Is there a special Junos version that is recomanded for M7i for supporting ISP full routing table ?

     

    Thanks

    Eyal



  • 2.  RE: Upgrading M7I from old version of 11.4R5.7 to 15.1R6

    Posted 07-23-2019 09:58
    Hi

    As per the below doc, you can To upgrade from EEOL release that occurs directly before or after the currently installed EEOL release or to two EEOL releases before or after. So from 11.4R5.7 to 15.1R6, we have the below releases as EEOL as per the link https://www.juniper.net/support/eol/junos.html , these are the EEOL releases from 11.4 to 15.1

    11.4 , 12.3 , 13.3, 14.1, 14.2, 15.1

    So you can jump two EEOL releases , so that would be from 11.4 to 13.3 . Then from 13.3 to 14.2 . then from 14.2 to 15.1 .


    /// <<<< link


    https://www.juniper.net/documentation/en_US/junos/information-products/topic-collections/release-notes/15.1/topic-83365.html


    Upgrade and Downgrade Support Policy for Junos OS Releases

    Support for upgrades and downgrades that span more than three Junos OS releases at a time is not provided, except for releases that are designated as Extended End-of-Life (EEOL) releases. EEOL releases provide direct upgrade and downgrade paths—you can upgrade directly from one EEOL release to the next EEOL release even though EEOL releases generally occur in increments beyond three releases.

    You can upgrade or downgrade to the EEOL release that occurs directly before or after the currently installed EEOL release, or to two EEOL releases before or after. For example, Junos OS Releases 14.1, 14.2, 15.1 and 16.1 are EEOL releases. You can upgrade from Junos OS Release 14.1 to Release 15.1 or from Junos OS Release 15.1 to Release 16.2. However, you cannot upgrade directly from a non-EEOL release that is more than three releases ahead or behind.

    To upgrade or downgrade from a non-EEOL release to a release more than three releases before or after, first upgrade to the next EEOL release and then upgrade or downgrade from that EEOL release to your target release.

    For more information about EEOL releases and to review a list of EEOL releases, see https://www.juniper.net/support/eol/junos.html.


    There is no special junos release on M7i to support full internet routing table.


  • 3.  RE: Upgrading M7I from old version of 11.4R5.7 to 15.1R6

    Posted 07-23-2019 23:59

    Hi,

     

      Thanks jibut for the detailed answer.

      I have one more question,

      At JTAC recommanded versions there are no links for older Junos versions.

      Is there a hidden link for dowloading such old versions ?

     

     Thanks

     

         Eyal



  • 4.  RE: Upgrading M7I from old version of 11.4R5.7 to 15.1R6

    Posted 07-24-2019 01:26
    Hi Eyal,

    In the below link, I can see that 15.1R6 is available for download.
    https://support.juniper.net/support/downloads/

    https://webdownload.juniper.net/swdl/dl/secure/site/1/record/67108.html?pf=M7i


    Regards,
    Jibu


  • 5.  RE: Upgrading M7I from old version of 11.4R5.7 to 15.1R6

    Posted 07-24-2019 03:27

    Hi Jibu,

     

       Thanks for the links, but that is not what I meant.

       What I was asking, is from where I can get Junos ver 12, and ver 13 because

       on JTAC there are only Junos version from version 14 and north.

        That's why I asked "if there is a hidden link" for previous versions.

     

         Thanks

     

               Eyal



  • 6.  RE: Upgrading M7I from old version of 11.4R5.7 to 15.1R6
    Best Answer

     
    Posted 07-24-2019 03:45

    Hi Eyal,

     

    The older releases are not available on the Junos download page as they are already EEOL & EOS.

     

    If you need the older release, you can open a case with JTAC and the TAC engineer can upload the required junos code ( 13.3 & 14.2) for you to download.

     

    Regards,

    Ankur

    Please Mark My Solution Accepted if it Helped, Kudos are Appreciated too!!!